ONVIF::Device::Elements::CreateCertificateResponse(3pm)

NAME
ONVIF::Device::Elements::CreateCertificateResponse

DESCRIPTION
Perl data type class for the XML Schema defined element CreateCertificateResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   NvtCertificate

     $element->set_NvtCertificate($data);
     $element->get_NvtCertificate();

METHODS

  new
 my $element = ONVIF::Device::Elements::CreateCertificateResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   NvtCertificate =>  { # ONVIF::Device::Types::Certificate
     CertificateID =>  $some_value, # token
     Certificate =>  { # ONVIF::Device::Types::BinaryData
       Data =>  $some_value, # base64Binary
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL